## org.eclipse.uml2.uml
Interface Reception

All Superinterfaces:
  BehavioralFeature, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, Feature, NamedElement, Namespace, org.eclipse.emf.common.notify.Notifier, RedefinableElement

    public interface Reception

extends BehavioralFeature

A representation of the model object 'Reception'. A reception is a declaration stating that a classifier is prepared to react to the receipt of a signal. A reception designates a signal and specifies the expected behavioral response. The details of handling a signal are specified by the behavior associated with the reception or the classifier itself.

The following features are supported:

- `Signal`

See Also:
  `UMLPackage.getReception()`

Method Summary
`Signal` `getSignal()` Returns the value of the 'Signal' reference
`void` `setSignal(Signal value)` Sets the value of the '`Signal`' reference
`boolean` `validateNotQuery(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` A Reception can not be a query.

Methods inherited from interface org.eclipse.uml2.uml.BehavioralFeature
`createOwnedParameter, createOwnedParameterSet, createReturnResult, getConcurrency, getMethod, getMethod, getMethods, getOwnedParameter, getOwnedParameter, getOwnedParameters, getOwnedParameterSet, getOwnedParameterSet, getOwnedParameterSets, getRaisedException, getRaisedException, getRaisedExceptions, isAbstract, setConcurrency, setIsAbstract`

Methods inherited from interface org.eclipse.uml2.uml.Namespace

`createElementImport, createElementImport, createOwnedRule, createOwnedRule, createPackageImport, createPackageImport, excludeCollisions, getElementImport, getElementImport, getElementImports, getImportedElements, getImportedMember, getImportedMember, getImportedMembers, getImportedPackages, getMember, getMember, getMembers, getNamesOfMember, getOwnedMember, getOwnedMember, getOwnedMembers, getOwnedRule, getOwnedRule, getOwnedRules, getPackageImport, getPackageImport, getPackageImports, importMembers, membersAreDistinguishable, validateMembersDistinguishable`

Methods inherited from interface org.eclipse.uml2.uml.Feature
`getFeaturingClassifier, getFeaturingClassifier, getFeaturingClassifiers, isStatic, setIsStatic`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Method Detail

### getSignal

    Signal getSignal()

  Returns the value of the 'Signal' reference. The signal that this reception handles.

  Returns:
    the value of the 'Signal' reference.
  See Also:
    `setSignal(Signal)`, `UMLPackage.getReception_Signal()`

### setSignal

    void setSignal(Signal value)

  Sets the value of the '`Signal`' reference.

  Parameters:
    `value` - the new value of the 'Signal' reference.
  See Also:
    `getSignal()`

### validateNotQuery

    boolean validateNotQuery(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                             java.util.Map<java.lang.Object,java.lang.Object> context)

  A Reception can not be a query. not self.isQuery

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.